/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.translation.internal.info.field;

import com.liferay.info.field.InfoField;
import com.liferay.info.field.type.NumberInfoFieldType;
import com.liferay.info.field.type.TextInfoFieldType;
import com.liferay.translation.info.field.TranslationInfoFieldChecker;

import java.util.Objects;

import org.osgi.service.component.annotations.Component;

/**
 * @author Alejandro Tardín
 */
@Component(service = TranslationInfoFieldChecker.class)
public class TranslationInfoFieldCheckerImpl
	implements TranslationInfoFieldChecker {

	@Override
	public boolean isTranslatable(InfoField infoField) {
		if (!infoField.isLocalizable()) {
			return false;
		}

		if (Objects.equals(
				infoField.getInfoFieldType(), NumberInfoFieldType.INSTANCE) ||
			Objects.equals(
				infoField.getInfoFieldType(), TextInfoFieldType.INSTANCE)) {

			return true;
		}

		return false;
	}

}