/*
 * =============================================================================
 * Copyright (C) 2010-2020 by the Okapi Framework contributors
 * -----------------------------------------------------------------------------
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
package net.sf.okapi.common.filters.fontmappings;

import net.sf.okapi.common.ParametersString;

import java.util.regex.Pattern;

public final class ParametersStringFontMappingOutput implements FontMapping.Output<ParametersString> {
    @Override
    public ParametersString writtenWith(
        final Pattern sourceLocalePattern,
        final Pattern targetLocalePattern,
        final Pattern sourceFontPattern,
        final String targetFont
    ) {
        final ParametersString ps = new ParametersString();
        ps.setString(ParametersStringFontMapping.SOURCE_LOCALE_PATTERN, sourceLocalePattern.toString());
        ps.setString(ParametersStringFontMapping.TARGET_LOCALE_PATTERN, targetLocalePattern.toString());
        ps.setString(ParametersStringFontMapping.SOURCE_FONT_PATTERN, sourceFontPattern.toString());
        ps.setString(ParametersStringFontMapping.TARGET_FONT, targetFont);
        return ps;
    }
}
